Loading...
Searching...
No Matches
Misc
lwIP » Porting (system abstraction layer) » OS abstraction layer

## Functions

void | sys_msleep (u32_t ms)
sys_thread_t | sys_thread_new (const char *name, lwip_thread_fn thread, void *arg, int stacksize, int prio)
void | sys_init (void)

## Detailed Description

## Function Documentation

## sys_init()

void sys_init | ( | void |  | ) |

sys_init() must be called before anything else. Initialize the sys_arch layer.

## sys_msleep()

void sys_msleep | ( | u32_t | ms | ) |

Sleep for specified number of ms

Sleep for some ms. Timeouts are NOT processed while sleeping.

Parameters

  ms | number of milliseconds to sleep

## sys_thread_new()

sys_thread_t sys_thread_new | ( | const char * | name,
|  | lwip_thread_fn | thread,
|  | void * | arg,
|  | int | stacksize,
|  | int | prio )

The only thread function: Starts a new thread named "name" with priority "prio" that will begin its execution in the function "thread()". The "arg" argument will be passed as an argument to the thread() function. The stack size to used for this thread is the "stacksize" parameter. The id of the new thread is returned. Both the id and the priority are system dependent. ATTENTION: although this function returns a value, it MUST NOT FAIL (ports have to assert this!)

Parameters

  name | human-readable name for the thread (used for debugging purposes)
  thread | thread-function
  arg | parameter passed to 'thread'
  stacksize | stack size in bytes for the new thread (may be ignored by ports)
  prio | priority of the new thread (may be ignored by ports)